ENALYZE(1)

NAME
enalyze - Gentoo Installed Package Analysis Tool

SYNOPSIS
enalyze [global-options] module [local-options] TARGET

DESCRIPTION
Enalyze is a collection of modules for analyzing the state of installed Gentoo packages for USE flags or keywords used for installation, and their current masking status.
It can also optionally (re)generate new /etc/portage/package.* files.
CAUTION: This is beta software and is not yet feature complete. Some features, options may change in the future. Any files that it generates are saved to your home directory and will not harm your system without effort on your part. It also does not need to be run as root.

GLOBAL OPTIONS

-h, --help
Output a help message.

-q, --quiet
Be less verbose where possible. In some modules, this option can increase the output speed.

-C, --no-color
Do not colorize output.

-N, --no-pipe
Turn off automatic pipe detection. Use this option if you do not want enalyze to detect if the output is being directed to the screen or to another program and adjust color and verbosity accordingly.

-V, --version
Display Gentoolkit's version. Please include this in all bug reports. (see BUGS below)

MODULES
Enalyze uses a system of modules. Each module has both a long and short name. The list below uses the notation "module (m)", where m is the short name and module is the long name.

You can view the help message for a specific module by using -h, --help as either a global option (after enalyze and before the module name) or as a local option (after the module name).

  analyze (a) [OPTIONS] TARGET
Report on all installed packages for TARGET.

analyze TARGET :

use
Will analyze all installed packages for the installed with USE flags and output the results.

pkguse
Will analyze the USE flags information from the installed pkg's 'PKGUSE' file which contains only flags settings from /etc/portage/package.use at the time of installation.

keywords
Will analyze the recorded keywords for output results.

unmask
Will analyze the installed packages and portage trees for pkgs that require unmasking and report them. (Not implemented yet)

rebuild LOCAL OPTIONS :

-u, --unset
Will also include any USE flags used that were not enabled for some packages.

-v, --verbose
Gives more detail about the results found and the current task being performed.

analyze EXAMPLES :

enalyze a --verbose --unset use
Report on all use flags used to install the packages. (--unset) Include in the report all flags that have been used but also were not set enabled for some packages. (--verbose) Also list the packages that used the USE flag setting. The report will break down the useage and report the USE flag up to 3 times indicating its setting {"+","-"," "= unset} prepended to the flag name. It will also color the output, (the defaults are) red = Enabled, blue = Disabled, plain text = unset

  rebuild (r) [OPTIONS] TARGET
Create a list all packages for TARGET settings that are needed for other than the default settings. rebuild TARGET :

use
Will analyze the USE flags for output results.

keywords
Will analyze the keywords for output results.

unmask
Will analyze the installed packages and portage trees for pkgs that require unmasking and produce output/a new /etc/portage/package.unmask file.

rebuild LOCAL OPTIONS :

-a, --all
Create files/output for all TARGET(s) found to need it. (Not implemented yet)

-e, --exact
Will prepend the pkg with = as well as use the version information for the entries.
e.g.: =CAT/PKG-VER flag1 flag2

-p, --pretend
Sends the output to the screen instead of a file.

-v, --verbose
Gives more detail about the results found and the current task being performed.

rebuild EXAMPLES :

enalyze rebuild -p use
Analyze the installed packages database and current system USE flag settings
 and output the results in the form of:
    CAT/PKG -flag1 -flag2 flag3 flag4...

  clean (c) [OPTIONS] TARGET
Clean all packages for TARGET settings that are found with obsolete settings for the current settings and pkg ebuild. (Not implemented yet) clean TARGET :

use
Will analyze the USE flags and /etc/portage/package.use file(s) for entries that are redundant or no longer used by the pkg. (Not implemented yet)

keywords
Will analyze the keywords and /etc/portage/package.keywords file(s) for entries that are no longer needed. (Not implemented yet)

unmask
Will analyze the installed packages, /etc/portage/package.unmask file(s) and portage trees for pkgs that no longer require unmasking. (Not implemented yet)

clean LOCAL OPTIONS :

-a, --all
Clean files/output for all TARGET(s) found to need it. (Not implemented yet)

-p, --pretend
Sends the output to the screen instead of a file. (Not implemented yet)

-v, --verbose
Gives more detail about the results found and the current task being performed. (Not implemented yet)

BUGS
Submit bug reports to http://bugs.gentoo.org.

AUTHORS
Brian Dolbec <dolsen@gentoo.org>, 2010